Skip to main content
`Ctrl`+`K`

# DMStagGetBoundaryTypes

get boundary types

## Synopsis

    PetscErrorCode DMStagGetBoundaryTypes(DM dm, DMBoundaryType *boundaryTypeX, DMBoundaryType *boundaryTypeY, DMBoundaryType *boundaryTypeZ)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- boundaryTypeX - boundary type for x direction

- boundaryTypeY - boundary type for y direction, not set for one dimensional problems

- boundaryTypeZ - boundary type for z direction, not set for one and two dimensional problems

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMBoundaryType`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex1.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages